Subject: bug#20721: 25.0.50; Review default settings of Info-quoted face (Requires > texinfo-5 ???)

From: Vaidheeswaran C <[email-masked]>
Date: Sat, 06 Jun 2015 07:49:08 +0530

On Tuesday 02 June 2015 09:51 PM, Stefan Monnier wrote:

>> 2. Change the default value of Info-quoted in following ways:
>>    Screenshot: http://en.zimagez.com/zimage/info-mode-font-lock-keywordswithcourierface.php
>
> It looks OK to me, except for the fact that it seems to be using
> a courier font that is not anti-aliased (i.e. it's probably a bitmap font).
> Do you have another monospaced font with serifs on your system that you
> could recommend instead?

Emacs picks up `adobe-courier-medium' (an x font) for the courier
family.  Surprisingly, this font doesn't turn up in the GTK menu and
it confused me.

So, I cooked up the attached font-family.el to examine the various
fonts that Emacs recognizes.  Here is how you use it:

   1. M-x load-library font-family.el
   2. M-x list-font-families
   3. RET to set the frame font
   4. x   to change the displayed string

(Do you think above the file will be useful to a larger audience?)

There are couple of issues that I ran in to wrt `font-family-list':

    1. GUI dialog doesn't display 'X' fonts (that Emacs falls back upon)
    2. (font-family-list) returns "nil".
    3. (font-family-list) returns duplicate family names.
    4. (delete-dups (font-family-list)) STILL has duplicate entries.

See the attached screenshot.

>>    I want the Info buffer to be colorized, so that I have enough visual
>>    clues to skim it quickly. (2a) will ensure colorization.
>
> I find such coloring jarring, but it's probably just me.  So if you can
> find a coloring that is agreeable to other people, I can live with it.

Drew wants coloration.  IMNSHO, Choosing Blue as the effective may not
be problematic.

Here is the scorecard:

    against:1 for:2.

>> 3. Info-quoted should be lower-cased, I think
>
> Thanks.
> Indeed, not sure what I used a capital in the first place.